| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | Public Attributes | List of all members
gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata Class Reference

Generate Framework base Class and base members Initialize ['h2o'] to list() More...

Inheritance diagram for gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata:
[legend]
Collaboration diagram for gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata:
[legend]

## Public Member Functions
def | __init__ (self, frameworks)
| Constructor.
def | get_default (self)
| Method used to get a copy default config values for framework. More...
def | load_default_models (self)
| Method used to get default models values from framework. More...
def | append (self, modelmetadata)
| Method used to append models. More...
def | get_models (self)
| Method used get a copy of [h2o] models. More...
def | get_config (self)
| Method used get a copy of [h2o] config. More...

## Public Attributes
| default_models
| config
| models

## Detailed Description

Generate Framework base Class and base members Initialize ['h2o'] to list()

Definition at line 22 of file h2oframeworkmetadata.py.

## Member Function Documentation

## ◆ append()

def gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata.append | ( |  | self,
|  |  | modelmetadata
| ) |  |

Method used to append models.

Parameters

  self | object pointer
  modelmetadata | Model Metadata subclass object [glm, gbm, deeplearning, drf]

Returns
  status (success o) (error 1)

Definition at line 47 of file h2oframeworkmetadata.py.

Here is the caller graph for this function:

## ◆ get_config()

def gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata.get_config | ( |  | self | ) |

Method used get a copy of [h2o] config.

Parameters

  self | object pointer

Definition at line 61 of file h2oframeworkmetadata.py.

## ◆ get_default()

def gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata.get_default | ( |  | self | ) |

Method used to get a copy default config values for framework.

Returns
  a copy from structure

Definition at line 35 of file h2oframeworkmetadata.py.

Here is the caller graph for this function:

## ◆ get_models()

def gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata.get_models | ( |  | self | ) |

Method used get a copy of [h2o] models.

Parameters

  self | object pointer

Definition at line 56 of file h2oframeworkmetadata.py.

## ◆ load_default_models()

def gdayf.models.h2oframeworkmetadata.H2OFrameworkMetadata.load_default_models | ( |  | self | ) |

Method used to get default models values from framework.

Returns
  pointer to structure

Definition at line 40 of file h2oframeworkmetadata.py.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/models/h2oframeworkmetadata.py